## org.gnu.gtk
Class ActionGroup

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.ActionGroup

public class ActionGroup
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`ActionGroup(java.lang.String name)` Construct a new ActionGroup object.

Method Summary
`void` `addAction(Action anAction)` Add an Action object to the ActionGroup
`void` `addActions(ActionEntry[] entries)` Add an array of ActonEntry objects to the ActionGroup
`protected static void` `addActions(Handle group, Handle[] entries, java.lang.Object[] cbObjs)`
`protected static void` `addRadioActions(Handle group, Handle[] entries, int value, java.lang.Object listener)`
`void` `addRadioActions(RadioActionEntry[] entries, int initialValue, RadioActionEntryListener listener)` Add an array of RadioActionEntry objects to the ActionGroup and setup the event handling.
`protected static void` `addToggleActions(Handle group, Handle[] entries, java.lang.Object[] cbObjs)`
`void` `addToggleActions(ToggleActionEntry[] entries)` Add an array of ToggleActonEntry objects to the ActionGroup
`Action` `getAction(java.lang.String actionName)` Look up an Action in the ActionGroup by name.
`java.lang.String` `getName()` Get the name of the action group.
`boolean` `getSensitive()`
`boolean` `getVisible()`
`protected static void` `gtk_action_group_add_action_with_accel(Handle group, int action, java.lang.String accelerator)`
`protected static void` `gtk_action_group_add_action(Handle group, Handle action)`
`protected static Handle` `gtk_action_group_get_action(Handle group, java.lang.String actionName)`
`protected static java.lang.String` `gtk_action_group_get_name(Handle group)`
`protected static boolean` `gtk_action_group_get_sensitive(Handle group)`
`protected static int` `gtk_action_group_get_type()`
`protected static boolean` `gtk_action_group_get_visible(Handle group)`
`protected static Handle[]` `gtk_action_group_list_actions(Handle group)`
`protected static Handle` `gtk_action_group_new(java.lang.String name)`
`protected static void` `gtk_action_group_remove_action(Handle group, Handle action)`
`protected static void` `gtk_action_group_set_sensitive(Handle group, boolean sensitive)`
`protected static void` `gtk_action_group_set_translation_domain(Handle group, java.lang.String domain)`
`protected static void` `gtk_action_group_set_visible(Handle group, boolean visible)`
`protected static java.lang.String` `gtk_action_group_translate_string(Handle group, java.lang.String str)`
`java.util.List` `listActions()` List the Actions in the ActionGroup
`void` `removeAction(Action anAction)` Remove an Action object from the ActionGroup
`void` `setSensitive(boolean sensitive)`
`void` `setVisible(boolean visible)`
`java.lang.String` `translateString(java.lang.String str)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionGroup

    public ActionGroup(java.lang.String name)

  Construct a new ActionGroup object.

Parameters:
  `name` - Used when associating keybindings with the actions.

Method Detail

### getName

    public java.lang.String getName()

  Get the name of the action group.

  Returns:
    the name of the action group

### getSensitive

    public boolean getSensitive()

### setSensitive

    public void setSensitive(boolean sensitive)

### getVisible

    public boolean getVisible()

### setVisible

    public void setVisible(boolean visible)

### translateString

    public java.lang.String translateString(java.lang.String str)

### getAction

    public Action getAction(java.lang.String actionName)

  Look up an Action in the ActionGroup by name.

  Parameters:
    `actionName` -
  Returns:
    the Action or null if no Action by that name exists.

### addAction

    public void addAction(Action anAction)

  Add an Action object to the ActionGroup

  Parameters:
    `anAction` -

### addActions

    public void addActions(ActionEntry[] entries)

  Add an array of ActonEntry objects to the ActionGroup

  Parameters:
    `entries` -

### addToggleActions

    public void addToggleActions(ToggleActionEntry[] entries)

  Add an array of ToggleActonEntry objects to the ActionGroup

  Parameters:
    `entries` -

### addRadioActions

    public void addRadioActions(RadioActionEntry[] entries,
                                int initialValue,
                                RadioActionEntryListener listener)

  Add an array of RadioActionEntry objects to the ActionGroup and setup the event handling.

  Parameters:
    `entries` -
    `listener` -
    `initialValue` -

### removeAction

    public void removeAction(Action anAction)

  Remove an Action object from the ActionGroup

  Parameters:
    `anAction` -

### listActions

    public java.util.List listActions()

  List the Actions in the ActionGroup

  Returns:
    A list of Action objects.

### gtk_action_group_get_type

    protected static final int gtk_action_group_get_type()

### gtk_action_group_new

    protected static final Handle gtk_action_group_new(java.lang.String name)

### gtk_action_group_get_name

    protected static final java.lang.String gtk_action_group_get_name(Handle group)

### gtk_action_group_get_sensitive

    protected static final boolean gtk_action_group_get_sensitive(Handle group)

### gtk_action_group_set_sensitive

    protected static final void gtk_action_group_set_sensitive(Handle group,
                                                               boolean sensitive)

### gtk_action_group_get_visible

    protected static final boolean gtk_action_group_get_visible(Handle group)

### gtk_action_group_set_visible

    protected static final void gtk_action_group_set_visible(Handle group,
                                                             boolean visible)

### gtk_action_group_get_action

    protected static final Handle gtk_action_group_get_action(Handle group,
                                                              java.lang.String actionName)

### gtk_action_group_list_actions

    protected static final Handle[] gtk_action_group_list_actions(Handle group)

### gtk_action_group_add_action

    protected static final void gtk_action_group_add_action(Handle group,
                                                            Handle action)

### gtk_action_group_remove_action

    protected static final void gtk_action_group_remove_action(Handle group,
                                                               Handle action)

### gtk_action_group_set_translation_domain

    protected static final void gtk_action_group_set_translation_domain(Handle group,
                                                                        java.lang.String domain)

### gtk_action_group_translate_string

    protected static final java.lang.String gtk_action_group_translate_string(Handle group,
                                                                              java.lang.String str)

### gtk_action_group_add_action_with_accel

    protected static final void gtk_action_group_add_action_with_accel(Handle group,
                                                                       int action,
                                                                       java.lang.String accelerator)

### addActions

    protected static final void addActions(Handle group,
                                           Handle[] entries,
                                           java.lang.Object[] cbObjs)

### addToggleActions

    protected static final void addToggleActions(Handle group,
                                                 Handle[] entries,
                                                 java.lang.Object[] cbObjs)

### addRadioActions

    protected static final void addRadioActions(Handle group,
                                                Handle[] entries,
                                                int value,
                                                java.lang.Object listener)